import { Module } from '@nestjs/common';
import { AllowanceModule } from '~/allowance/allowance.module';
import { MoneyRequestModule } from '~/money-request/money-request.module';
import { BaseCronService } from './services';
import { AllowanceTask, MoneyRequestTask } from './tasks';

@Module({
  imports: [AllowanceModule, MoneyRequestModule],
  providers: [AllowanceTask, MoneyRequestTask, BaseCronService],
})
export class CronModule {}
