import { MigrationInterface, QueryRunner } from 'typeorm';

export class AddKycStatusToCustomer1739868002943 implements MigrationInterface {
  name = 'AddKycStatusToCustomer1739868002943';

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(
      `ALTER TABLE "customers" ADD "kyc_status" character varying(255) NOT NULL DEFAULT 'PENDING'`,
    );
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(`ALTER TABLE "customers" DROP COLUMN "kyc_status"`);
  }
}
