import { ObjectValues } from '~/core/types';
import { Relationship } from './relationship.enum';

export const GuardianRelationship = {
  [Relationship.PARENT]: 'CHILD',
  [Relationship.GUARDIAN]: 'WARD',
} as const;

export type GuardianRelationship = ObjectValues<typeof GuardianRelationship>;
