import { ApiProperty } from '@nestjs/swagger';
import { CategoryType } from '~/saving-goals/enums';

export class CategoryResponseDto {
  @ApiProperty()
  id!: string;

  @ApiProperty()
  name!: string;

  @ApiProperty({ example: CategoryType.CUSTOM })
  type!: CategoryType;

  constructor(data: CategoryResponseDto) {
    this.id = data.id;
    this.name = data.name;
    this.type = data.type;
  }
}
