interface ApiErrorField {
  field: string;
  message: string;
}

export interface ApiError {
  statusCode: number;
  message: string | ApiErrorField[];
  error: string;
}

export interface ApiResponse<T> {
  data: T;
}
