import { GrantType } from '../enums';

export interface User {
  id: string;
  email: string;
  customerStatus?: string;
  firstName?: string;
  lastName?: string;
  dateOfBirth?: string;
  countryOfResidence?: string;
  isJunior?: boolean;
  isGuardian?: boolean;
}

export interface LoginResponse {
  accessToken: string;
  refreshToken: string;
  user: User;
}

export interface LoginRequest {
  email?: string;
  password?: string;
  grantType: GrantType;
  googleToken?: string;
  appleToken?: string;
}
