import { ConfigService } from '@nestjs/config';
import { TwilioModuleOptions } from 'nestjs-twilio';

export function buildTwilioOptions(config: ConfigService): TwilioModuleOptions {
  return {
    accountSid: config.get('TWILIO_ACCOUNT_SID'),
    authToken: config.get('TWILIO_AUTH_TOKEN'),
  };
}
