import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { Guardian } from './entities/guradian.entity';
import { GuardianRepository } from './repositories';
import { GuardianService } from './services';

@Module({
  providers: [GuardianService, GuardianRepository],
  imports: [TypeOrmModule.forFeature([Guardian])],
  exports: [GuardianService],
})
export class GuardianModule {}
