import { Injectable } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { Repository } from 'typeorm';
import { Guardian } from '../entities/guradian.entity';

@Injectable()
export class GuardianRepository {
  constructor(@InjectRepository(Guardian) private readonly guardianRepository: Repository<Guardian>) {}

  createGuardian(customerId: string) {
    return this.guardianRepository.save(
      this.guardianRepository.create({
        id: customerId,
        customerId,
      }),
    );
  }
}
