import { ApiProperty } from '@nestjs/swagger';
import { Junior } from '~/junior/entities';
import { QrCodeValidationDetailsResponse } from './qr-code-validation-details.response.dto';

export class QrCodeValidationResponseDto {
  @ApiProperty({ type: QrCodeValidationDetailsResponse })
  parentDetails: any;

  @ApiProperty({ type: QrCodeValidationDetailsResponse })
  childDetails: any;

  constructor(junior: Junior) {
    this.parentDetails = new QrCodeValidationDetailsResponse(junior, junior.guardian);
    this.childDetails = new QrCodeValidationDetailsResponse(junior);
  }
}
